﻿//*****************************************************************************
// Description     : Class to get command addresses for controlling device
// Target Device   : APV8508, APV8104
// Target Platform : Windows, .NET Framework, C#
// Date            : September 2017
// Version         : 1.0
//*****************************************************************************
using System.Collections.Generic;

namespace APV8508_sample
{
	public static class Command
	{
		private static Dictionary<string, uint> dic = new Dictionary<string, uint>() {
			//******************* command address  ********************
			// command
			{"COMMAND_MOD", 0xb4000000},	// mode
			{"COMMAND_MMD", 0xb4000002},	// measurement mode
			{"COMMAND_AQS", 0xb4000004},	// start/stop
			{"COMMAND_MTM", 0xb4000006},	// measurement time
			{"COMMAND_CLR", 0xb4000090},	// clear data
			{"COMMAND_RQH", 0xb400009a},	// request histogram

			// status
			{"STATUS_RTM", 0xb400000e},		// real time
			{"STATUS_OCT", 0xb4000120},		// output count total
			{"STATUS_OCR", 0xb4000130},		// output count rate(cps)

			//******************* parameter ********************
			// mode
			{"PARAM_MOD_HIST",	0},	// histogram
			{"PARAM_MOD_LIST",	1},	// list

			// measurement mode
			{"PARAM_MMD_REALTIME",	0},	// real time
			{"PARAM_MMD_LIVETIME",	1},	// live time

			// measurement start/stop
			{"PARAM_AQS_STOP",	0},	// stop
			{"PARAM_AQS_START",	1},	// start

			// ADC sampling bits
			{"SAMPLING_14BITS",	0},	// 14bits
			{"SAMPLING_12BITS",	1}	// 12bits
		};

		public static uint GetVal(string key)
		{
			return( dic[key] );
		}
	}
}
